Loading...
Searching...
No Matches
gx_system.h File Reference
`#include <fenv.h>`

Go to the source code of this file.

## Classes

class | gx_system::Accum
struct | gx_system::Measure
class | gx_system::MeasureThreadsafe
class | gx_system::SkinHandling
class | gx_system::PathList
class | gx_system::PrefixConverter
class | gx_system::FileName
class | gx_system::IRFileListing
class | gx_system::BasicOptions
class | gx_system::CmdlineOptions

## Namespaces

namespace | gx_system

## Macros

#define | SRC_HEADERS_GX_SYSTEM_H_
#define | ASCII_START (48)
#define | GDK_NO_MOD_MASK (GdkModifierType)0
#define | SYSTEM_OK (0)
#define | RPCPORT_DEFAULT (-2)
#define | RPCPORT_NONE (-1)

## Functions

void | clear_fpu_status_bits ()
unsigned int | get_fpu_status_bits ()
void | _MM_SET_EXCEPTION_STATE (unsigned int __mask)
unsigned int | _MM_GET_EXCEPTION_STATE (void)
void | AVOIDDENORMALS ()
void | gx_system::atomic_set (volatile int *p, int v)
void | gx_system::atomic_set (volatile unsigned int *p, unsigned int v)
int | gx_system::atomic_get (volatile int &p)
unsigned int | gx_system::atomic_get (volatile unsigned int &p)
void | gx_system::atomic_inc (volatile int *p)
void | gx_system::atomic_inc (volatile unsigned int *p)
bool | gx_system::atomic_compare_and_exchange (volatile int *p, int oldv, int newv)
template<class T>
void | gx_system::atomic_set (T **p, T *v)
template<class T>
void | gx_system::atomic_set_0 (T **p)
template<class T>
T * | gx_system::atomic_get (T *&p)
template<class T>
bool | gx_system::atomic_compare_and_exchange (T **p, T *oldv, T *newv)
void | gx_system::add_time_measurement ()
void | gx_system::measure_start ()
void | gx_system::measure_pause ()
void | gx_system::measure_cont ()
void | gx_system::measure_stop ()
void | gx_system::list_subdirs (PathList pl, std::vector< FileName > &dirs)
BasicOptions & | gx_system::get_options ()
int | gx_system::gx_system_call (const std::string &, bool devnull=false, bool escape=false)
void | gx_system::strip (Glib::ustring &s)
template<class T>
std::string | gx_system::to_string (const T &t)
std::string | gx_system::encode_filename (const std::string &s)
std::string | gx_system::decode_filename (const std::string &s)

## Variables

MeasureThreadsafe | gx_system::measure

## Macro Definition Documentation

## ASCII_START

#define ASCII_START (48)

Definition at line 79 of file gx_system.h.

## GDK_NO_MOD_MASK

#define GDK_NO_MOD_MASK (GdkModifierType)0

Definition at line 80 of file gx_system.h.

## RPCPORT_DEFAULT

#define RPCPORT_DEFAULT (-2)

Definition at line 357 of file gx_system.h.

## RPCPORT_NONE

#define RPCPORT_NONE (-1)

Definition at line 358 of file gx_system.h.

## SRC_HEADERS_GX_SYSTEM_H_

#define SRC_HEADERS_GX_SYSTEM_H_

Definition at line 26 of file gx_system.h.

## SYSTEM_OK

#define SYSTEM_OK (0)

Definition at line 81 of file gx_system.h.

## Function Documentation

## _MM_GET_EXCEPTION_STATE()

unsigned int _MM_GET_EXCEPTION_STATE | ( | void |  | ) |

inline

Definition at line 71 of file gx_system.h.

Referenced by gx_system::MeasureThreadsafe::pause(), and gx_system::MeasureThreadsafe::stop().

## _MM_SET_EXCEPTION_STATE()

void _MM_SET_EXCEPTION_STATE | ( | unsigned int | __mask | ) |

inline

Definition at line 70 of file gx_system.h.

Referenced by gx_system::MeasureThreadsafe::cont(), and gx_system::MeasureThreadsafe::start().

## AVOIDDENORMALS()

void AVOIDDENORMALS | ( |  | ) |

inline

Definition at line 73 of file gx_system.h.

## clear_fpu_status_bits()

void clear_fpu_status_bits | ( |  | ) |

inline

Definition at line 40 of file gx_system.h.

Referenced by gx_system::MeasureThreadsafe::cont(), and gx_system::MeasureThreadsafe::start().

## get_fpu_status_bits()

unsigned int get_fpu_status_bits | ( |  | ) |

inline

Definition at line 41 of file gx_system.h.

Referenced by gx_system::MeasureThreadsafe::pause(), and gx_system::MeasureThreadsafe::stop().